diff --git a/FL/Fl_Input_Choice.H b/FL/Fl_Input_Choice.H
index ab9c635..45b0dee 100644
--- a/FL/Fl_Input_Choice.H
+++ b/FL/Fl_Input_Choice.H
@@ -170,6 +170,17 @@ public:
     This can be used to directly access all of the Fl_Input widget's methods.
   */
   Fl_Input *input() { return inp_; }
+
+  /**
+    Sets the maximum input size.
+
+    \since 1.4.0
+  */
+
+  void maximum_size(int size) {
+    if (inp_)
+      inp_->maximum_size(size);
+  };
 };
 
 #endif // !Fl_Input_Choice_H
